package com.writeoff.common.api;

import java.util.List;

public class PageResult<T> {
    private List<T> list;
    private long total;
    private int pageNo;
    private int pageSize;

    public PageResult(List<T> list, long total, int pageNo, int pageSize) {
        this.list = list;
        this.total = total;
        this.pageNo = pageNo;
        this.pageSize = pageSize;
    }

    public List<T> getList() {
        return list;
    }

    public long getTotal() {
        return total;
    }

    public int getPageNo() {
        return pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }
}
